package tictactoe.gui;

import tictactoe.InactivePlayer;

/**
 * Manage interaction with user.  An Appletplayer attempts
 * to make a move it is the current player and when a PlaceListener
 * detects a mouse click.
 *
 * @author $Author: oscar $
 * @version $Id: GUIplayer.java 16536 2008-02-28 17:40:24Z oscar $
 */
public class GUIplayer extends InactivePlayer {

	public GUIplayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 */
	public void move(int col, int row) {
		game_.move(col, row, this);
	}
}
