package tictactoe;

/**
 * An assertion that will always be evaluated.
 * Useful in jar files where you cannot ensure that
 * the jar will be started with assertions enabled.
 *
 * @author $Author: oscar $
 * @version $Id: MyAssert.java 16527 2008-02-28 15:19:32Z oscar $
 */
public class MyAssert {
	public static void myAssert(Boolean condition) {
		if (!condition) {
			throw new AssertionError("assertion failed");
		}
	}

	public static void myAssert(Boolean condition, String message) {
		if (!condition) {
			throw new AssertionError(message);
		}
	}
}
