package tictactoe;

/**
 * A PassivePlayer attempts to make a move when its
 * move() method is called by some Driver.
 * Used by the GameServer
 * @author $Author: oscar $
 * @version $Id: PassivePlayer.java 16536 2008-02-28 17:40:24Z oscar $
 **/
public class PassivePlayer extends InactivePlayer {

	public PassivePlayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 **/
	public void move(int col, int row) {
		game_.move(col, row, this);
	}
}
