package tictactoe;

/**
 * Concrete subclass of AbstractBoardGame.
 * @author $Author: oscar $
 * @version $Id: TicTacToe.java 16531 2008-02-28 15:58:20Z oscar $
 */
public class TicTacToe extends AbstractBoardGame {
	public TicTacToe(Player playerX, Player playerO)
	{
		super(playerX, playerO);
	}

	/* *
	 * Initialize state for TicTacToe.
	 */
	protected void init() {
		rows_ = cols_ = 3;
		winningScore_ = 3;
	}
	
	/**
	 * The name of the game
	 */
	public String name() {
		return "Tic Tac Toe";
	}
}
